package sgc.portal.cw.cw0804.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0804.model.CW08040005P;


@Mapper
public interface CW08040005PMapper {
	
	int getCheckReservation(CW08040005P cW08040005P);
	
	int getCheckReservationDis(CW08040005P cW08040005P);
	
	String getReservationDisY(CW08040005P cW08040005P);
	
	String getReservationDisN(CW08040005P cW08040005P);
	
    int insert(CW08040005P cW08040005P);
    
    int updateDis(CW08040005P cW08040005P);
    
    int insertHis(CW08040005P cW08040005P);
    
    int forUpdateDis(CW08040005P cW08040005P);
    
    List<EasyHashMap<String, Object>> selectUserEmailList(CW08040005P cW08040005P);
    
}
